]> git.ipfire.org Git - thirdparty/binutils-gdb.git/blob - sim/Makefile.in
sim: unify environment build settings
[thirdparty/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
198 $(top_srcdir)/../config/lead-dot.m4 \
199 $(top_srcdir)/../config/override.m4 \
200 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
201 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
202 $(top_srcdir)/m4/sim_ac_platform.m4 \
203 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
204 $(top_srcdir)/configure.ac
205 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
206 $(ACLOCAL_M4)
207 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
208 $(am__configure_deps) $(pkginclude_HEADERS)
209 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
210 configure.lineno config.status.lineno
211 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
212 CONFIG_HEADER = config.h
213 CONFIG_CLEAN_FILES =
214 CONFIG_CLEAN_VPATH_FILES =
215 LIBRARIES = $(noinst_LIBRARIES)
216 ARFLAGS = cru
217 AM_V_AR = $(am__v_AR_@AM_V@)
218 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
219 am__v_AR_0 = @echo " AR " $@;
220 am__v_AR_1 =
221 common_libcommon_a_AR = $(AR) $(ARFLAGS)
222 common_libcommon_a_LIBADD =
223 am__dirstamp = $(am__leading_dot)dirstamp
224 am_common_libcommon_a_OBJECTS = common/version.$(OBJEXT)
225 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
226 igen_libigen_a_AR = $(AR) $(ARFLAGS)
227 igen_libigen_a_LIBADD =
228 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
229 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
230 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
231 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
232 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
233 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
234 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
235 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
236 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
237 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
238 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
239 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
240 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
241 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
242 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
243 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
244 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
245 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
246 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
247 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
248 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
249 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
250 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
251 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
252 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
253 testsuite/common/bits32m31$(EXEEXT) \
254 testsuite/common/bits64m0$(EXEEXT) \
255 testsuite/common/bits64m63$(EXEEXT) \
256 testsuite/common/alu-tst$(EXEEXT)
257 am_igen_filter_OBJECTS =
258 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
259 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
260 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
261 am_igen_gen_OBJECTS =
262 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
263 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
264 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
265 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
266 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
267 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
268 am_igen_ld_cache_OBJECTS =
269 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
270 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
271 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
272 am_igen_ld_decode_OBJECTS =
273 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
274 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
275 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
276 am_igen_ld_insn_OBJECTS =
277 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
278 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
279 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
280 am_igen_table_OBJECTS =
281 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
282 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
283 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
284 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
285 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
286 testsuite_common_alu_tst_LDADD = $(LDADD)
287 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
288 testsuite_common_bits_gen_OBJECTS = \
289 testsuite/common/bits-gen.$(OBJEXT)
290 testsuite_common_bits_gen_LDADD = $(LDADD)
291 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
292 testsuite_common_bits32m0_OBJECTS = \
293 testsuite/common/bits32m0.$(OBJEXT)
294 testsuite_common_bits32m0_LDADD = $(LDADD)
295 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
296 testsuite_common_bits32m31_OBJECTS = \
297 testsuite/common/bits32m31.$(OBJEXT)
298 testsuite_common_bits32m31_LDADD = $(LDADD)
299 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
300 testsuite_common_bits64m0_OBJECTS = \
301 testsuite/common/bits64m0.$(OBJEXT)
302 testsuite_common_bits64m0_LDADD = $(LDADD)
303 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
304 testsuite_common_bits64m63_OBJECTS = \
305 testsuite/common/bits64m63.$(OBJEXT)
306 testsuite_common_bits64m63_LDADD = $(LDADD)
307 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
308 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
309 testsuite_common_fpu_tst_LDADD = $(LDADD)
310 AM_V_P = $(am__v_P_@AM_V@)
311 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
312 am__v_P_0 = false
313 am__v_P_1 = :
314 AM_V_GEN = $(am__v_GEN_@AM_V@)
315 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
316 am__v_GEN_0 = @echo " GEN " $@;
317 am__v_GEN_1 =
318 AM_V_at = $(am__v_at_@AM_V@)
319 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
320 am__v_at_0 = @
321 am__v_at_1 =
322 DEFAULT_INCLUDES = -I.@am__isrc@
323 depcomp = $(SHELL) $(top_srcdir)/../depcomp
324 am__depfiles_maybe = depfiles
325 am__mv = mv -f
326 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
327 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
328 AM_V_CC = $(am__v_CC_@AM_V@)
329 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
330 am__v_CC_0 = @echo " CC " $@;
331 am__v_CC_1 =
332 CCLD = $(CC)
333 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
334 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
335 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
336 am__v_CCLD_0 = @echo " CCLD " $@;
337 am__v_CCLD_1 =
338 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
339 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
340 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
341 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
342 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
343 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
344 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
345 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
346 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
347 ctags-recursive dvi-recursive html-recursive info-recursive \
348 install-data-recursive install-dvi-recursive \
349 install-exec-recursive install-html-recursive \
350 install-info-recursive install-pdf-recursive \
351 install-ps-recursive install-recursive installcheck-recursive \
352 installdirs-recursive pdf-recursive ps-recursive \
353 tags-recursive uninstall-recursive
354 am__can_run_installinfo = \
355 case $$AM_UPDATE_INFO_DIR in \
356 n|no|NO) false;; \
357 *) (install-info --version) >/dev/null 2>&1;; \
358 esac
359 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
360 am__vpath_adj = case $$p in \
361 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
362 *) f=$$p;; \
363 esac;
364 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
365 am__install_max = 40
366 am__nobase_strip_setup = \
367 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
368 am__nobase_strip = \
369 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
370 am__nobase_list = $(am__nobase_strip_setup); \
371 for p in $$list; do echo "$$p $$p"; done | \
372 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
373 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
374 if (++n[$$2] == $(am__install_max)) \
375 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
376 END { for (dir in files) print dir, files[dir] }'
377 am__base_list = \
378 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
379 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
380 am__uninstall_files_from_dir = { \
381 test -z "$$files" \
382 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
383 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
384 $(am__cd) "$$dir" && rm -f $$files; }; \
385 }
386 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
387 HEADERS = $(pkginclude_HEADERS)
388 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
389 distclean-recursive maintainer-clean-recursive
390 am__recursive_targets = \
391 $(RECURSIVE_TARGETS) \
392 $(RECURSIVE_CLEAN_TARGETS) \
393 $(am__extra_recursive_targets)
394 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
395 cscope check recheck
396 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
397 $(LISP)config.h.in
398 # Read a list of newline-separated strings from the standard input,
399 # and print each of them once, without duplicates. Input order is
400 # *not* preserved.
401 am__uniquify_input = $(AWK) '\
402 BEGIN { nonempty = 0; } \
403 { items[$$0] = 1; nonempty = 1; } \
404 END { if (nonempty) { for (i in items) print i; }; } \
405 '
406 # Make sure the list of sources is unique. This is necessary because,
407 # e.g., the same source file might be shared among _SOURCES variables
408 # for different programs/libraries.
409 am__define_uniq_tagged_files = \
410 list='$(am__tagged_files)'; \
411 unique=`for i in $$list; do \
412 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
413 done | $(am__uniquify_input)`
414 ETAGS = etags
415 CTAGS = ctags
416 CSCOPE = cscope
417 DEJATOOL = $(PACKAGE)
418 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
419 EXPECT = expect
420 RUNTEST = runtest
421 am__tty_colors_dummy = \
422 mgn= red= grn= lgn= blu= brg= std=; \
423 am__color_tests=no
424 am__tty_colors = { \
425 $(am__tty_colors_dummy); \
426 if test "X$(AM_COLOR_TESTS)" = Xno; then \
427 am__color_tests=no; \
428 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
429 am__color_tests=yes; \
430 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
431 am__color_tests=yes; \
432 fi; \
433 if test $$am__color_tests = yes; then \
434 red='\e[0;31m'; \
435 grn='\e[0;32m'; \
436 lgn='\e[1;32m'; \
437 blu='\e[1;34m'; \
438 mgn='\e[0;35m'; \
439 brg='\e[1m'; \
440 std='\e[m'; \
441 fi; \
442 }
443 am__recheck_rx = ^[ ]*:recheck:[ ]*
444 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
445 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
446 # A command that, given a newline-separated list of test names on the
447 # standard input, print the name of the tests that are to be re-run
448 # upon "make recheck".
449 am__list_recheck_tests = $(AWK) '{ \
450 recheck = 1; \
451 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
452 { \
453 if (rc < 0) \
454 { \
455 if ((getline line2 < ($$0 ".log")) < 0) \
456 recheck = 0; \
457 break; \
458 } \
459 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
460 { \
461 recheck = 0; \
462 break; \
463 } \
464 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
465 { \
466 break; \
467 } \
468 }; \
469 if (recheck) \
470 print $$0; \
471 close ($$0 ".trs"); \
472 close ($$0 ".log"); \
473 }'
474 # A command that, given a newline-separated list of test names on the
475 # standard input, create the global log from their .trs and .log files.
476 am__create_global_log = $(AWK) ' \
477 function fatal(msg) \
478 { \
479 print "fatal: making $@: " msg | "cat >&2"; \
480 exit 1; \
481 } \
482 function rst_section(header) \
483 { \
484 print header; \
485 len = length(header); \
486 for (i = 1; i <= len; i = i + 1) \
487 printf "="; \
488 printf "\n\n"; \
489 } \
490 { \
491 copy_in_global_log = 1; \
492 global_test_result = "RUN"; \
493 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
494 { \
495 if (rc < 0) \
496 fatal("failed to read from " $$0 ".trs"); \
497 if (line ~ /$(am__global_test_result_rx)/) \
498 { \
499 sub("$(am__global_test_result_rx)", "", line); \
500 sub("[ ]*$$", "", line); \
501 global_test_result = line; \
502 } \
503 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
504 copy_in_global_log = 0; \
505 }; \
506 if (copy_in_global_log) \
507 { \
508 rst_section(global_test_result ": " $$0); \
509 while ((rc = (getline line < ($$0 ".log"))) != 0) \
510 { \
511 if (rc < 0) \
512 fatal("failed to read from " $$0 ".log"); \
513 print line; \
514 }; \
515 printf "\n"; \
516 }; \
517 close ($$0 ".trs"); \
518 close ($$0 ".log"); \
519 }'
520 # Restructured Text title.
521 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
522 # Solaris 10 'make', and several other traditional 'make' implementations,
523 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
524 # by disabling -e (using the XSI extension "set +e") if it's set.
525 am__sh_e_setup = case $$- in *e*) set +e;; esac
526 # Default flags passed to test drivers.
527 am__common_driver_flags = \
528 --color-tests "$$am__color_tests" \
529 --enable-hard-errors "$$am__enable_hard_errors" \
530 --expect-failure "$$am__expect_failure"
531 # To be inserted before the command running the test. Creates the
532 # directory for the log if needed. Stores in $dir the directory
533 # containing $f, in $tst the test, in $log the log. Executes the
534 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
535 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
536 # will run the test scripts (or their associated LOG_COMPILER, if
537 # thy have one).
538 am__check_pre = \
539 $(am__sh_e_setup); \
540 $(am__vpath_adj_setup) $(am__vpath_adj) \
541 $(am__tty_colors); \
542 srcdir=$(srcdir); export srcdir; \
543 case "$@" in \
544 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
545 *) am__odir=.;; \
546 esac; \
547 test "x$$am__odir" = x"." || test -d "$$am__odir" \
548 || $(MKDIR_P) "$$am__odir" || exit $$?; \
549 if test -f "./$$f"; then dir=./; \
550 elif test -f "$$f"; then dir=; \
551 else dir="$(srcdir)/"; fi; \
552 tst=$$dir$$f; log='$@'; \
553 if test -n '$(DISABLE_HARD_ERRORS)'; then \
554 am__enable_hard_errors=no; \
555 else \
556 am__enable_hard_errors=yes; \
557 fi; \
558 case " $(XFAIL_TESTS) " in \
559 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
560 am__expect_failure=yes;; \
561 *) \
562 am__expect_failure=no;; \
563 esac; \
564 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
565 # A shell command to get the names of the tests scripts with any registered
566 # extension removed (i.e., equivalently, the names of the test logs, with
567 # the '.log' extension removed). The result is saved in the shell variable
568 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
569 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
570 # since that might cause problem with VPATH rewrites for suffix-less tests.
571 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
572 am__set_TESTS_bases = \
573 bases='$(TEST_LOGS)'; \
574 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
575 bases=`echo $$bases`
576 RECHECK_LOGS = $(TEST_LOGS)
577 TEST_SUITE_LOG = test-suite.log
578 TEST_EXTENSIONS = @EXEEXT@ .test
579 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
580 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
581 am__set_b = \
582 case '$@' in \
583 */*) \
584 case '$*' in \
585 */*) b='$*';; \
586 *) b=`echo '$@' | sed 's/\.log$$//'`; \
587 esac;; \
588 *) \
589 b='$*';; \
590 esac
591 am__test_logs1 = $(TESTS:=.log)
592 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
593 TEST_LOGS = $(am__test_logs2:.test.log=.log)
594 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
595 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
596 $(TEST_LOG_FLAGS)
597 DIST_SUBDIRS = $(SUBDIRS)
598 ACLOCAL = @ACLOCAL@
599 AMTAR = @AMTAR@
600 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
601 AR = @AR@
602 AR_FOR_BUILD = @AR_FOR_BUILD@
603 AUTOCONF = @AUTOCONF@
604 AUTOHEADER = @AUTOHEADER@
605 AUTOMAKE = @AUTOMAKE@
606 AWK = @AWK@
607 CC = @CC@
608 CCDEPMODE = @CCDEPMODE@
609 CC_FOR_BUILD = @CC_FOR_BUILD@
610 CFLAGS = @CFLAGS@
611 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
612 CPP = @CPP@
613 CPPFLAGS = @CPPFLAGS@
614 CYGPATH_W = @CYGPATH_W@
615 C_DIALECT = @C_DIALECT@
616 DEFS = @DEFS@
617 DEPDIR = @DEPDIR@
618 ECHO_C = @ECHO_C@
619 ECHO_N = @ECHO_N@
620 ECHO_T = @ECHO_T@
621 EGREP = @EGREP@
622 EXEEXT = @EXEEXT@
623 GREP = @GREP@
624 INSTALL = @INSTALL@
625 INSTALL_DATA = @INSTALL_DATA@
626 INSTALL_PROGRAM = @INSTALL_PROGRAM@
627 INSTALL_SCRIPT = @INSTALL_SCRIPT@
628 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
629 LDFLAGS = @LDFLAGS@
630 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
631 LIBOBJS = @LIBOBJS@
632 LIBS = @LIBS@
633 LTLIBOBJS = @LTLIBOBJS@
634 MAINT = @MAINT@
635 MAKEINFO = @MAKEINFO@
636 MKDIR_P = @MKDIR_P@
637 OBJEXT = @OBJEXT@
638 PACKAGE = @PACKAGE@
639 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
640 PACKAGE_NAME = @PACKAGE_NAME@
641 PACKAGE_STRING = @PACKAGE_STRING@
642 PACKAGE_TARNAME = @PACKAGE_TARNAME@
643 PACKAGE_URL = @PACKAGE_URL@
644 PACKAGE_VERSION = @PACKAGE_VERSION@
645 PATH_SEPARATOR = @PATH_SEPARATOR@
646 RANLIB = @RANLIB@
647 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
648 SET_MAKE = @SET_MAKE@
649 SHELL = @SHELL@
650 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
651 STRIP = @STRIP@
652 VERSION = @VERSION@
653 abs_builddir = @abs_builddir@
654 abs_srcdir = @abs_srcdir@
655 abs_top_builddir = @abs_top_builddir@
656 abs_top_srcdir = @abs_top_srcdir@
657 ac_ct_CC = @ac_ct_CC@
658 am__include = @am__include@
659 am__leading_dot = @am__leading_dot@
660 am__quote = @am__quote@
661 am__tar = @am__tar@
662 am__untar = @am__untar@
663 bindir = @bindir@
664 build = @build@
665 build_alias = @build_alias@
666 build_cpu = @build_cpu@
667 build_os = @build_os@
668 build_vendor = @build_vendor@
669 builddir = @builddir@
670 datadir = @datadir@
671 datarootdir = @datarootdir@
672 docdir = @docdir@
673 dvidir = @dvidir@
674 exec_prefix = @exec_prefix@
675 host = @host@
676 host_alias = @host_alias@
677 host_cpu = @host_cpu@
678 host_os = @host_os@
679 host_vendor = @host_vendor@
680 htmldir = @htmldir@
681 includedir = @includedir@
682 infodir = @infodir@
683 install_sh = @install_sh@
684 libdir = @libdir@
685 libexecdir = @libexecdir@
686 localedir = @localedir@
687 localstatedir = @localstatedir@
688 mandir = @mandir@
689 mkdir_p = @mkdir_p@
690 oldincludedir = @oldincludedir@
691 pdfdir = @pdfdir@
692 prefix = @prefix@
693 program_transform_name = @program_transform_name@
694 psdir = @psdir@
695 sbindir = @sbindir@
696 sharedstatedir = @sharedstatedir@
697 srcdir = @srcdir@
698 subdirs = @subdirs@
699 sysconfdir = @sysconfdir@
700 target = @target@
701 target_alias = @target_alias@
702 target_cpu = @target_cpu@
703 target_os = @target_os@
704 target_vendor = @target_vendor@
705 top_build_prefix = @top_build_prefix@
706 top_builddir = @top_builddir@
707 top_srcdir = @top_srcdir@
708 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
709 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
710 srcroot = $(srcdir)/..
711 SUBDIRS = @subdirs@
712 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
713
714 # NB: libcommon.a isn't used directly by ports. We need a target for common
715 # objects to be a part of, and ports use the individual objects directly.
716 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
717 CLEANFILES = testsuite/common/bits-gen testsuite/common/bits32m0.c \
718 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
719 testsuite/common/bits64m63.c
720 DISTCLEANFILES =
721 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
722 testrun.sum
723 AM_CPPFLAGS = -I$(srcroot)/include -I$(srcdir)/common
724 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
725 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
726
727 # Deps to add to the all-recursive target. These are built before descending
728 # into any subdirs.
729
730 # This makes sure common parts are available before building the arch-subdirs
731 # which will refer to these.
732 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
733 pkginclude_HEADERS = \
734 $(srcroot)/include/sim/callback.h \
735 $(srcroot)/include/sim/sim.h
736
737 common_libcommon_a_SOURCES = \
738 common/version.c
739
740 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
741 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
742 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
743 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
744 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
745 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
746 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
747 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
748 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
749 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
750 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
751 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
752 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
753 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
754 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
755 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
756 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
757
758 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
759 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
760 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
761 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
762 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
763 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
764 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
765 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
766 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
767 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
768 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
769 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
770 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
771 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
772 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
773 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
774 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
775 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
776 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
777 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
778 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
779 @SIM_ENABLE_IGEN_TRUE@ igen/table
780
781
782 # Tweak the site.exp so it works with plain `runtest` from user.
783 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
784 testsuite_common_CPPFLAGS = \
785 -I$(srcdir)/common \
786 -I$(srcroot)/include \
787 -I../bfd
788
789 all: config.h
790 $(MAKE) $(AM_MAKEFLAGS) all-recursive
791
792 .SUFFIXES:
793 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
794 am--refresh: Makefile
795 @:
796 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
797 @for dep in $?; do \
798 case '$(am__configure_deps)' in \
799 *$$dep*) \
800 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
801 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
802 && exit 0; \
803 exit 1;; \
804 esac; \
805 done; \
806 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
807 $(am__cd) $(top_srcdir) && \
808 $(AUTOMAKE) --foreign Makefile
809 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
810 @case '$?' in \
811 *config.status*) \
812 echo ' $(SHELL) ./config.status'; \
813 $(SHELL) ./config.status;; \
814 *) \
815 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
816 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
817 esac;
818 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
819
820 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
821 $(SHELL) ./config.status --recheck
822
823 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
824 $(am__cd) $(srcdir) && $(AUTOCONF)
825 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
826 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
827 $(am__aclocal_m4_deps):
828
829 config.h: stamp-h1
830 @test -f $@ || rm -f stamp-h1
831 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
832
833 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
834 @rm -f stamp-h1
835 cd $(top_builddir) && $(SHELL) ./config.status config.h
836 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
837 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
838 rm -f stamp-h1
839 touch $@
840
841 distclean-hdr:
842 -rm -f config.h stamp-h1
843
844 clean-noinstLIBRARIES:
845 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
846 common/$(am__dirstamp):
847 @$(MKDIR_P) common
848 @: > common/$(am__dirstamp)
849 common/$(DEPDIR)/$(am__dirstamp):
850 @$(MKDIR_P) common/$(DEPDIR)
851 @: > common/$(DEPDIR)/$(am__dirstamp)
852 common/version.$(OBJEXT): common/$(am__dirstamp) \
853 common/$(DEPDIR)/$(am__dirstamp)
854
855 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
856 $(AM_V_at)-rm -f common/libcommon.a
857 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
858 $(AM_V_at)$(RANLIB) common/libcommon.a
859 igen/$(am__dirstamp):
860 @$(MKDIR_P) igen
861 @: > igen/$(am__dirstamp)
862 igen/$(DEPDIR)/$(am__dirstamp):
863 @$(MKDIR_P) igen/$(DEPDIR)
864 @: > igen/$(DEPDIR)/$(am__dirstamp)
865 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
866 igen/$(DEPDIR)/$(am__dirstamp)
867 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
868 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
869 igen/$(DEPDIR)/$(am__dirstamp)
870 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
871 igen/$(DEPDIR)/$(am__dirstamp)
872 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
873 igen/$(DEPDIR)/$(am__dirstamp)
874 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
875 igen/$(DEPDIR)/$(am__dirstamp)
876 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
877 igen/$(DEPDIR)/$(am__dirstamp)
878 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
879 igen/$(DEPDIR)/$(am__dirstamp)
880 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
881 igen/$(DEPDIR)/$(am__dirstamp)
882 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
883 igen/$(DEPDIR)/$(am__dirstamp)
884 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
885 igen/$(DEPDIR)/$(am__dirstamp)
886 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
887 igen/$(DEPDIR)/$(am__dirstamp)
888 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
889 igen/$(DEPDIR)/$(am__dirstamp)
890 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
891 igen/$(DEPDIR)/$(am__dirstamp)
892 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
893 igen/$(DEPDIR)/$(am__dirstamp)
894 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
895 igen/$(DEPDIR)/$(am__dirstamp)
896
897 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
898 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
899 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
900 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
901
902 clean-checkPROGRAMS:
903 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
904
905 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
906 @rm -f igen/filter$(EXEEXT)
907 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
908
909 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
910 @rm -f igen/gen$(EXEEXT)
911 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
912 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
913 igen/$(DEPDIR)/$(am__dirstamp)
914
915 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
916 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
917 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
918
919 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
920 @rm -f igen/ld-cache$(EXEEXT)
921 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
922
923 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
924 @rm -f igen/ld-decode$(EXEEXT)
925 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
926
927 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
928 @rm -f igen/ld-insn$(EXEEXT)
929 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
930
931 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
932 @rm -f igen/table$(EXEEXT)
933 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
934 testsuite/common/$(am__dirstamp):
935 @$(MKDIR_P) testsuite/common
936 @: > testsuite/common/$(am__dirstamp)
937 testsuite/common/$(DEPDIR)/$(am__dirstamp):
938 @$(MKDIR_P) testsuite/common/$(DEPDIR)
939 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
940 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
941 testsuite/common/$(DEPDIR)/$(am__dirstamp)
942 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
943 testsuite/common/$(DEPDIR)/$(am__dirstamp)
944 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
945 testsuite/common/$(DEPDIR)/$(am__dirstamp)
946 testsuite/common/bits32m31.$(OBJEXT): \
947 testsuite/common/$(am__dirstamp) \
948 testsuite/common/$(DEPDIR)/$(am__dirstamp)
949 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
950 testsuite/common/$(DEPDIR)/$(am__dirstamp)
951 testsuite/common/bits64m63.$(OBJEXT): \
952 testsuite/common/$(am__dirstamp) \
953 testsuite/common/$(DEPDIR)/$(am__dirstamp)
954 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
955 testsuite/common/$(DEPDIR)/$(am__dirstamp)
956
957 mostlyclean-compile:
958 -rm -f *.$(OBJEXT)
959 -rm -f common/*.$(OBJEXT)
960 -rm -f igen/*.$(OBJEXT)
961 -rm -f testsuite/common/*.$(OBJEXT)
962
963 distclean-compile:
964 -rm -f *.tab.c
965
966 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/version.Po@am__quote@
967 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
968 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
969 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
970 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
971 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
972 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
973 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
974 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
975 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
976 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
977 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
978 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
979 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
980 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
981 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
982 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
983 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
984 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
985 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
986 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
989 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
990 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
991
992 .c.o:
993 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
994 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
995 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
996 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
997 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
998 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
999
1000 .c.obj:
1001 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1002 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1003 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1007 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1008 @$(NORMAL_INSTALL)
1009 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1010 if test -n "$$list"; then \
1011 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1012 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1013 fi; \
1014 for p in $$list; do \
1015 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1016 echo "$$d$$p"; \
1017 done | $(am__base_list) | \
1018 while read files; do \
1019 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1020 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1021 done
1022
1023 uninstall-pkgincludeHEADERS:
1024 @$(NORMAL_UNINSTALL)
1025 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1026 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1027 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1028
1029 # This directory's subdirectories are mostly independent; you can cd
1030 # into them and run 'make' without going through this Makefile.
1031 # To change the values of 'make' variables: instead of editing Makefiles,
1032 # (1) if the variable is set in 'config.status', edit 'config.status'
1033 # (which will cause the Makefiles to be regenerated when you run 'make');
1034 # (2) otherwise, pass the desired values on the 'make' command line.
1035 $(am__recursive_targets):
1036 @fail=; \
1037 if $(am__make_keepgoing); then \
1038 failcom='fail=yes'; \
1039 else \
1040 failcom='exit 1'; \
1041 fi; \
1042 dot_seen=no; \
1043 target=`echo $@ | sed s/-recursive//`; \
1044 case "$@" in \
1045 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1046 *) list='$(SUBDIRS)' ;; \
1047 esac; \
1048 for subdir in $$list; do \
1049 echo "Making $$target in $$subdir"; \
1050 if test "$$subdir" = "."; then \
1051 dot_seen=yes; \
1052 local_target="$$target-am"; \
1053 else \
1054 local_target="$$target"; \
1055 fi; \
1056 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1057 || eval $$failcom; \
1058 done; \
1059 if test "$$dot_seen" = "no"; then \
1060 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1061 fi; test -z "$$fail"
1062
1063 ID: $(am__tagged_files)
1064 $(am__define_uniq_tagged_files); mkid -fID $$unique
1065 tags: tags-recursive
1066 TAGS: tags
1067
1068 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1069 set x; \
1070 here=`pwd`; \
1071 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1072 include_option=--etags-include; \
1073 empty_fix=.; \
1074 else \
1075 include_option=--include; \
1076 empty_fix=; \
1077 fi; \
1078 list='$(SUBDIRS)'; for subdir in $$list; do \
1079 if test "$$subdir" = .; then :; else \
1080 test ! -f $$subdir/TAGS || \
1081 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1082 fi; \
1083 done; \
1084 $(am__define_uniq_tagged_files); \
1085 shift; \
1086 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1087 test -n "$$unique" || unique=$$empty_fix; \
1088 if test $$# -gt 0; then \
1089 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1090 "$$@" $$unique; \
1091 else \
1092 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1093 $$unique; \
1094 fi; \
1095 fi
1096 ctags: ctags-recursive
1097
1098 CTAGS: ctags
1099 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1100 $(am__define_uniq_tagged_files); \
1101 test -z "$(CTAGS_ARGS)$$unique" \
1102 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1103 $$unique
1104
1105 GTAGS:
1106 here=`$(am__cd) $(top_builddir) && pwd` \
1107 && $(am__cd) $(top_srcdir) \
1108 && gtags -i $(GTAGS_ARGS) "$$here"
1109 cscope: cscope.files
1110 test ! -s cscope.files \
1111 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1112 clean-cscope:
1113 -rm -f cscope.files
1114 cscope.files: clean-cscope cscopelist
1115 cscopelist: cscopelist-recursive
1116
1117 cscopelist-am: $(am__tagged_files)
1118 list='$(am__tagged_files)'; \
1119 case "$(srcdir)" in \
1120 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1121 *) sdir=$(subdir)/$(srcdir) ;; \
1122 esac; \
1123 for i in $$list; do \
1124 if test -f "$$i"; then \
1125 echo "$(subdir)/$$i"; \
1126 else \
1127 echo "$$sdir/$$i"; \
1128 fi; \
1129 done >> $(top_builddir)/cscope.files
1130
1131 distclean-tags:
1132 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1133 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1134 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1135 @echo 'Making a new site.exp file ...'
1136 @echo '## these variables are automatically generated by make ##' >site.tmp
1137 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1138 @echo '# edit the last section' >>site.tmp
1139 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1140 @echo "set objdir `pwd`" >>site.tmp
1141 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1142 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1143 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1144 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1145 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1146 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1147 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1148 echo "## Begin content included from file $$f. Do not modify. ##" \
1149 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1150 && echo "## End content included from file $$f. ##" \
1151 || exit 1; \
1152 done >> site.tmp
1153 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1154 @if test -f site.exp; then \
1155 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1156 fi
1157 @-rm -f site.bak
1158 @test ! -f site.exp || mv site.exp site.bak
1159 @mv site.tmp site.exp
1160
1161 distclean-DEJAGNU:
1162 -rm -f site.exp site.bak
1163 -l='$(DEJATOOL)'; for tool in $$l; do \
1164 rm -f $$tool.sum $$tool.log; \
1165 done
1166
1167 # Recover from deleted '.trs' file; this should ensure that
1168 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1169 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1170 # to avoid problems with "make -n".
1171 .log.trs:
1172 rm -f $< $@
1173 $(MAKE) $(AM_MAKEFLAGS) $<
1174
1175 # Leading 'am--fnord' is there to ensure the list of targets does not
1176 # expand to empty, as could happen e.g. with make check TESTS=''.
1177 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1178 am--force-recheck:
1179 @:
1180
1181 $(TEST_SUITE_LOG): $(TEST_LOGS)
1182 @$(am__set_TESTS_bases); \
1183 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1184 redo_bases=`for i in $$bases; do \
1185 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1186 done`; \
1187 if test -n "$$redo_bases"; then \
1188 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1189 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1190 if $(am__make_dryrun); then :; else \
1191 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1192 fi; \
1193 fi; \
1194 if test -n "$$am__remaking_logs"; then \
1195 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1196 "recursion detected" >&2; \
1197 elif test -n "$$redo_logs"; then \
1198 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1199 fi; \
1200 if $(am__make_dryrun); then :; else \
1201 st=0; \
1202 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1203 for i in $$redo_bases; do \
1204 test -f $$i.trs && test -r $$i.trs \
1205 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1206 test -f $$i.log && test -r $$i.log \
1207 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1208 done; \
1209 test $$st -eq 0 || exit 1; \
1210 fi
1211 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1212 ws='[ ]'; \
1213 results=`for b in $$bases; do echo $$b.trs; done`; \
1214 test -n "$$results" || results=/dev/null; \
1215 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1216 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1217 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1218 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1219 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1220 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1221 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1222 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1223 success=true; \
1224 else \
1225 success=false; \
1226 fi; \
1227 br='==================='; br=$$br$$br$$br$$br; \
1228 result_count () \
1229 { \
1230 if test x"$$1" = x"--maybe-color"; then \
1231 maybe_colorize=yes; \
1232 elif test x"$$1" = x"--no-color"; then \
1233 maybe_colorize=no; \
1234 else \
1235 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1236 fi; \
1237 shift; \
1238 desc=$$1 count=$$2; \
1239 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1240 color_start=$$3 color_end=$$std; \
1241 else \
1242 color_start= color_end=; \
1243 fi; \
1244 echo "$${color_start}# $$desc $$count$${color_end}"; \
1245 }; \
1246 create_testsuite_report () \
1247 { \
1248 result_count $$1 "TOTAL:" $$all "$$brg"; \
1249 result_count $$1 "PASS: " $$pass "$$grn"; \
1250 result_count $$1 "SKIP: " $$skip "$$blu"; \
1251 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1252 result_count $$1 "FAIL: " $$fail "$$red"; \
1253 result_count $$1 "XPASS:" $$xpass "$$red"; \
1254 result_count $$1 "ERROR:" $$error "$$mgn"; \
1255 }; \
1256 { \
1257 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1258 $(am__rst_title); \
1259 create_testsuite_report --no-color; \
1260 echo; \
1261 echo ".. contents:: :depth: 2"; \
1262 echo; \
1263 for b in $$bases; do echo $$b; done \
1264 | $(am__create_global_log); \
1265 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1266 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1267 if $$success; then \
1268 col="$$grn"; \
1269 else \
1270 col="$$red"; \
1271 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1272 fi; \
1273 echo "$${col}$$br$${std}"; \
1274 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1275 echo "$${col}$$br$${std}"; \
1276 create_testsuite_report --maybe-color; \
1277 echo "$$col$$br$$std"; \
1278 if $$success; then :; else \
1279 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1280 if test -n "$(PACKAGE_BUGREPORT)"; then \
1281 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1282 fi; \
1283 echo "$$col$$br$$std"; \
1284 fi; \
1285 $$success || exit 1
1286
1287 check-TESTS:
1288 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1289 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1290 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1291 @set +e; $(am__set_TESTS_bases); \
1292 log_list=`for i in $$bases; do echo $$i.log; done`; \
1293 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1294 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1295 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1296 exit $$?;
1297 recheck: all $(check_PROGRAMS)
1298 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1299 @set +e; $(am__set_TESTS_bases); \
1300 bases=`for i in $$bases; do echo $$i; done \
1301 | $(am__list_recheck_tests)` || exit 1; \
1302 log_list=`for i in $$bases; do echo $$i.log; done`; \
1303 log_list=`echo $$log_list`; \
1304 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1305 am__force_recheck=am--force-recheck \
1306 TEST_LOGS="$$log_list"; \
1307 exit $$?
1308 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1309 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1310 b='testsuite/common/bits32m0'; \
1311 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1312 --log-file $$b.log --trs-file $$b.trs \
1313 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1314 "$$tst" $(AM_TESTS_FD_REDIRECT)
1315 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1316 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1317 b='testsuite/common/bits32m31'; \
1318 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1319 --log-file $$b.log --trs-file $$b.trs \
1320 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1321 "$$tst" $(AM_TESTS_FD_REDIRECT)
1322 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1323 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1324 b='testsuite/common/bits64m0'; \
1325 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1326 --log-file $$b.log --trs-file $$b.trs \
1327 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1328 "$$tst" $(AM_TESTS_FD_REDIRECT)
1329 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1330 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1331 b='testsuite/common/bits64m63'; \
1332 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1333 --log-file $$b.log --trs-file $$b.trs \
1334 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1335 "$$tst" $(AM_TESTS_FD_REDIRECT)
1336 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1337 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1338 b='testsuite/common/alu-tst'; \
1339 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1340 --log-file $$b.log --trs-file $$b.trs \
1341 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1342 "$$tst" $(AM_TESTS_FD_REDIRECT)
1343 .test.log:
1344 @p='$<'; \
1345 $(am__set_b); \
1346 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1347 --log-file $$b.log --trs-file $$b.trs \
1348 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1349 "$$tst" $(AM_TESTS_FD_REDIRECT)
1350 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1351 @am__EXEEXT_TRUE@ @p='$<'; \
1352 @am__EXEEXT_TRUE@ $(am__set_b); \
1353 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1354 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1355 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1356 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1357 check-am: all-am
1358 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1359 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1360 check: check-recursive
1361 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1362 installdirs: installdirs-recursive
1363 installdirs-am:
1364 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1365 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1366 done
1367 install: install-recursive
1368 install-exec: install-exec-recursive
1369 install-data: install-data-recursive
1370 uninstall: uninstall-recursive
1371
1372 install-am: all-am
1373 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1374
1375 installcheck: installcheck-recursive
1376 install-strip:
1377 if test -z '$(STRIP)'; then \
1378 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1379 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1380 install; \
1381 else \
1382 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1383 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1384 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1385 fi
1386 mostlyclean-generic:
1387 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1388 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1389 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1390 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1391
1392 clean-generic:
1393 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1394
1395 distclean-generic:
1396 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1397 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1398 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1399 -rm -f common/$(am__dirstamp)
1400 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1401 -rm -f igen/$(am__dirstamp)
1402 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1403 -rm -f testsuite/common/$(am__dirstamp)
1404 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1405
1406 maintainer-clean-generic:
1407 @echo "This command is intended for maintainers to use"
1408 @echo "it deletes files that may require special tools to rebuild."
1409 clean: clean-recursive
1410
1411 clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
1412 mostlyclean-am
1413
1414 distclean: distclean-recursive
1415 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1416 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1417 -rm -f Makefile
1418 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1419 distclean-generic distclean-hdr distclean-tags
1420
1421 dvi: dvi-recursive
1422
1423 dvi-am:
1424
1425 html: html-recursive
1426
1427 html-am:
1428
1429 info: info-recursive
1430
1431 info-am:
1432
1433 install-data-am: install-pkgincludeHEADERS
1434
1435 install-dvi: install-dvi-recursive
1436
1437 install-dvi-am:
1438
1439 install-exec-am:
1440
1441 install-html: install-html-recursive
1442
1443 install-html-am:
1444
1445 install-info: install-info-recursive
1446
1447 install-info-am:
1448
1449 install-man:
1450
1451 install-pdf: install-pdf-recursive
1452
1453 install-pdf-am:
1454
1455 install-ps: install-ps-recursive
1456
1457 install-ps-am:
1458
1459 installcheck-am:
1460
1461 maintainer-clean: maintainer-clean-recursive
1462 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1463 -rm -rf $(top_srcdir)/autom4te.cache
1464 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1465 -rm -f Makefile
1466 maintainer-clean-am: distclean-am maintainer-clean-generic
1467
1468 mostlyclean: mostlyclean-recursive
1469
1470 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1471
1472 pdf: pdf-recursive
1473
1474 pdf-am:
1475
1476 ps: ps-recursive
1477
1478 ps-am:
1479
1480 uninstall-am: uninstall-pkgincludeHEADERS
1481
1482 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1483
1484 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1485 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1486 clean-checkPROGRAMS clean-cscope clean-generic \
1487 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1488 distclean distclean-DEJAGNU distclean-compile \
1489 distclean-generic distclean-hdr distclean-tags dvi dvi-am html \
1490 html-am info info-am install install-am install-data \
1491 install-data-am install-dvi install-dvi-am install-exec \
1492 install-exec-am install-html install-html-am install-info \
1493 install-info-am install-man install-pdf install-pdf-am \
1494 install-pkgincludeHEADERS install-ps install-ps-am \
1495 install-strip installcheck installcheck-am installdirs \
1496 installdirs-am maintainer-clean maintainer-clean-generic \
1497 mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
1498 ps ps-am recheck tags tags-am uninstall uninstall-am \
1499 uninstall-pkgincludeHEADERS
1500
1501 .PRECIOUS: Makefile
1502
1503
1504 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1505 # This file is shipped with distributions so we build in the source dir.
1506 # Use `make nltvals' to rebuild.
1507 # Note: If gdb releases begin to contain target header files (not a good idea,
1508 # but if they did ...), nltvals.def coud be generated at build time.
1509 # An alternative is to slurp in the tables at runtime.
1510 .PHONY: nltvals
1511 nltvals:
1512 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1513 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1514
1515 common/version.c: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1516 $(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1517 $(SHELL) $(srcroot)/move-if-change $@.tmp $@
1518 touch $@
1519
1520 # Alias for developers.
1521 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1522
1523 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1524 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1525 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1526 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1527 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1528
1529 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1530 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1531
1532 # igen is a build-time only tool. Override the default rules for it.
1533 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1534 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1535
1536 # Build some of the files in standalone mode for developers of igen itself.
1537 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1538 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1539
1540 site-srcdir.exp: Makefile
1541 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1542
1543 check-DEJAGNU: site.exp
1544 LC_ALL=C; export LC_ALL; \
1545 EXPECT=${EXPECT} ; export EXPECT ; \
1546 runtest=$(RUNTEST); \
1547 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1548 $$runtest $(RUNTESTFLAGS); \
1549 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1550 fi
1551
1552 # These tests are build-time only tools. Override the default rules for them.
1553 testsuite/common/%.o: testsuite/common/%.c
1554 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1555
1556 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1557 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1558
1559 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1560 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1561
1562 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1563 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1564
1565 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1566 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1567
1568 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1569 $< 32 0 big > $@.tmp
1570 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1571 mv $@.tmp $@
1572
1573 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1574 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1575
1576 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1577 $< 32 31 little > $@.tmp
1578 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1579 mv $@.tmp $@
1580
1581 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1582 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1583
1584 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1585 $< 64 0 big > $@.tmp
1586 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1587 mv $@.tmp $@
1588
1589 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1590 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1591
1592 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1593 $< 64 63 little > $@.tmp
1594 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1595 mv $@.tmp $@
1596
1597 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1598
1599 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1600 # Otherwise a system limit (for SysV at least) may be exceeded.
1601 .NOEXPORT: